#!/bin/sh
# Programmer-tm (WiFi to apps) 
# open arg
opt="$1"
# function connect
connect()
{
# add default gw to WiFi connect
route add default gw `cat /ezxlocal/dhcpc/dhcpcd-eth0.info | grep GATEWAY | sed s/GATEWAY=//g`
}
# function disconnect
disconnect()
{
# delete route default gw
route delete default
}
# function check inet
inet()
{
ping -c 4 8.8.8.8
i="$?"
if [ "$i" = "0" ]
then
	echo "WiFi connect ok!"
	a=0
else
	a=1
fi
}

# check eth0 (wifi)
check()
{
# fing eth0
x="`route | grep "eth0"`"
if [ "$x" = "" ]
then
	# eth0 is not found:
	/usr/SYSqtapp/wlan/wlanapp
	# fing eth0
	x="`route | grep "eth0"`"
	if [ "$x" = "" ]
	then
		echo "WiFi not found! Exit!"
		exit 1
	fi
else
	# eth0 is found:
	# fing default gw
	y="`route | grep "default"`"
	if [ "$y" != "" ]
	then
		inet
		if [ "$a" = "0" ]
		then
			echo "WiFi connect ok! Exit!"
			exit
		else
			disconnect
		fi
	fi
fi
}
# function connect GUI
connect2()
{
showQ "WiFi to apps" "Connect?" 1
z="$?"
if [ "$z" = "1" ]
then
	connect
	inet
	if [ "$a" = "0" ]
	then
		showNotify "WiFi to apps" "WiFi connect!" 0 4
		exit
	else
		showNotify "WiFi to apps" "WiFi connect! Error!" 2 4
		exit 1
	fi
else
	showNotify "WiFi to apps" "WiFi not connect!" 1 4
	exit
fi
}
if [ "$opt" = "connect" ]
then
	check
	connect
	inet
else
	if [ "$opt" = "disconnect" ]
	then
		disconnect
		inet
		if [ "$a" = "1" ]
		then
			echo "WiFi disconnect ok!"
			exit
		else
			echo "WiFi disconnect Error!"
			exit 1
		fi
	else
		x="`route | grep "eth0"`"
		if [ "$x" = "" ]
		then
			# eth0 is not found:
			/usr/SYSqtapp/wlan/wlanapp
			x="`route | grep "eth0"`"
			if [ "$x" = "" ]
			then
				showNotify "WiFi to apps" "WiFi not found! exit!" 2 4
				exit 1
			else
				connect2
			fi
		else
			y="`route | grep "default"`"
			if [ "$y" != "" ]
			then
				inet
				if [ "$a" = "0" ]
				then
					showQ "WiFi to apps" "Disconnect?" 1
					z="$?"
					if [ "$z" = "1" ]
					then
						disconnect
						showNotify "WiFi to apps" "WiFi disconnect!" 0 4
						exit
					else
						showNotify "WiFi to apps" "WiFi connect!" 1 4
						exit
					fi
				else
					disconnect
					connect2
				fi
			else
				connect2
			fi
		fi
	fi
fi